#include <iostream>
#include <stdio.h>
#include <vector>
using namespace std;
bool mat[10000][1000],mat1[10000][1000],mat2[10000][1000];
int main()
{
    int n,m;
    scanf("%d%d",&n,&m);
    int brojac1=0;int brojac2=0,brojac3=0;
    for(int i=0;i<n;i++)
    {
        int help;
        scanf("%d",&help);
        if(help>m/2)
        {
            for(int j=m-1;j>help-1;j--)
            {
                mat1[brojac1][j]=true;
            }
                brojac1++;
            for(int j=0;j<help;j++)
            {
                mat2[brojac2][j]=true;
            }
                brojac2++;
        }
        else
        {
            for(int j=0;j<help;j++)
            {
                mat[brojac3][j]=true;
            }
                brojac3++;
        }
    }
    int suma1=0,suma2=suma1;
    for(int j=0;j<m;j++)
    {
        int b1=0,b2=0;
        for(int i=0;i<brojac3;i++)
        {
            if(mat[i][j])
                b1++;
            else b2++;
        }
        int b4,b3=b4=0;
        for(int i=0;i<brojac1;i++)
        {
            if(mat1[i][j])
                b3++;
            else b4++;
        }
        suma1+=(b1+b3)*(b2+b4);
        b3=b4=0;
        for(int i=0;i<brojac2;i++)
        {
            if(mat2[i][j])
                b3++;
            else b4++;
        }
        suma2+=(b1+b3)*(b2+b4);



    }
    printf("%d",(suma1>=suma2)*suma2+(suma1<suma2)*suma1);
    return 0;
}